Bug 1017891 - Steam cannot start "Start Conflict", "Strife" and other games
Steam cannot start "Start Conflict", "Strife" and other games
Status: RESOLVED WONTFIX
Classification: openSUSE
Product: openSUSE Distribution
Classification: openSUSE
Component: Other
Leap 42.2
Other openSUSE 42.2
: P5 - None : Normal (vote)
: ---
Assigned To: Marcus Meissner
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-01-03 14:20 UTC by Alex Petrini
Modified: 2018-04-17 13:57 UTC (History)
5 users (show)

See Also:
Found By: Customer
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---
meissner: needinfo? (cyberalex4life)


Attachments
Steam startup log + trying to start Star Conflict and Strife (44.88 KB, text/x-log)
2017-01-03 14:20 UTC, Alex Petrini
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alex Petrini 2017-01-03 14:20:32 UTC
Created attachment 708308 [details]
Steam startup log + trying to start Star Conflict and Strife

The general error/fail message for "Star Conflict" goes like this:
"
/media/Extra/Games/SteamGames/steamapps/common/star conflict/StarConflict: relocation error: /home/alex/.local/share/Steam/ubuntu12_32/steam-runtime/i386/usr/lib/i386-linux-gnu/libcurl.so.4: symbol ENGINE_load_builtin_engines, version OPENSSL_1.0.0 not defined in file libcrypto.so.1.0.0 with link time reference
Game removed: AppID 212070 "Star Conflict", ProcID 19884 
No cached sticky mapping in ActivateActionSet.Installing breakpad exception handler for appid(gameoverlayui)/version(1.0)
"
or as follows for "Strife":
"
>>> Adding process 22695 for game ID 339280
ERROR: ld.so: object '/home/alex/.local/share/Steam/ubuntu12_32/gameoverlayrenderer.so' from LD_PRELOAD cannot be preloaded (wrong ELF class: ELFCLASS32): ignored.
/media/Extra/Games/SteamGames/steamapps/common/strife/bin/strife: /home/alex/.local/share/Steam/ubuntu12_32/steam-runtime/amd64/lib/x86_64-linux-gnu/libssl.so.1.0.0: no version information available (required by /home/alex/.local/share/Steam/ubuntu12_32/steam-runtime/amd64/usr/lib/x86_64-linux-gnu/libcurl.so.4)
/media/Extra/Games/SteamGames/steamapps/common/strife/bin/strife: /home/alex/.local/share/Steam/ubuntu12_32/steam-runtime/amd64/lib/x86_64-linux-gnu/libssl.so.1.0.0: no version information available (required by /home/alex/.local/share/Steam/ubuntu12_32/steam-runtime/amd64/usr/lib/x86_64-linux-gnu/libcurl.so.4)
/media/Extra/Games/SteamGames/steamapps/common/strife/bin/strife: /home/alex/.local/share/Steam/ubuntu12_32/steam-runtime/amd64/lib/x86_64-linux-gnu/libcrypto.so.1.0.0: no version information available (required by /home/alex/.local/share/Steam/ubuntu12_32/steam-runtime/amd64/usr/lib/x86_64-linux-gnu/libcurl.so.4)
/media/Extra/Games/SteamGames/steamapps/common/strife/bin/strife: relocation error: /home/alex/.local/share/Steam/ubuntu12_32/steam-runtime/amd64/usr/lib/x86_64-linux-gnu/libcurl.so.4: symbol ENGINE_load_builtin_engines, version OPENSSL_1.0.0 not defined in file libcrypto.so.1.0.0 with link time reference
>>> Adding process 22696 for game ID 339280
Game removed: AppID 339280 "Strife", ProcID 22695 
No cached sticky mapping in ActivateActionSet.
"
Full startup log is here: http://susepaste.org/86754829

A few mentions: 
- steam is on /home partition (SSD) and games are located in the library /media/Extra/Games/SteamGames (hdd). Putting games on SSD doesn't make the error disappear.
- this bug was not present in OpenSUSE Leap 42.1 with the official Steam client. However, when I tried to switch to a more recent version of steam, 1.0.0.52 (games:tools) the problem arose. steam >=1.0.0.52 needs running steamruntime-fix to even be able to start. I tried installing the official steam from 42.1, but it segfaults (does not start properly). The same with steam from Tumbleweed. My conclusion is that there is a big issue with the libraries from libopenssl1_0_0-steam/libopenssl1_0_0-steam-32bit. I have had no issues in Fedora 24 (I think)
This suggested fix: [*]“TUMBLEWEED Steam libcrypto error.”  [Online]. Available: https://forums.opensuse.org/showthread.php/520922-Steam-libcrypto-error. [Accessed: 03-Jan-2017] does not work 
Other references about this bug are:
[1]“TUMBLEWEED Unable to run any Feral games, all others are fine!”  [Online]. Available: https://forums.opensuse.org/showthread.php/520847-Unable-to-run-any-Feral-games-all-others-are-fine. [Accessed: 03-Jan-2017]

[2]“Segmentation fault in libcrypto (steam-beta) · Issue #4504 · ValveSoftware/steam-for-linux.”  [Online]. Available: https://github.com/ValveSoftware/steam-for-linux/issues/4504. [Accessed: 03-Jan-2017]

[3]“Life is Strange will not start. (Sorry if this is not the best time to ask this). : linux_gaming.”  [Online]. Available: https://www.reddit.com/r/linux_gaming/comments/57clqf/life_is_strange_will_not_start_sorry_if_this_is/. [Accessed: 03-Jan-2017]

I am attaching steam log file.

PS: Please find solutions for this bug, it is very annoying.
Comment 1 Matthias Mailänder 2017-01-03 18:45:55 UTC
Sorry for your bad experience, but there is nothing really what I can do about it. See https://github.com/ValveSoftware/steam-for-linux/issues/4768 for a meta discussion about the problem with the Steam runtime in general. I suggest you add another warning to https://en.opensuse.org/Steam so people can be made aware.
Comment 2 Matthias Mailänder 2017-01-03 20:28:48 UTC
According to the discussion on the forums and the stacktraces here the SUSE fix for bug 988273 is the root cause of the problem.
Comment 3 Marcus Meissner 2017-01-09 15:03:52 UTC
can you remove the /home/alex/.local/share/Steam/ubuntu12_32/steam-runtime/amd64/usr/lib/x86_64-linux-gnu/libcurl.so.4

file and see if that helps?
Comment 4 Alex Petrini 2017-01-10 12:28:19 UTC
I already tried that, it doesn't work.
Comment 5 Marcus Meissner 2017-01-10 14:57:50 UTC
and the other libcurl.so.4 ... the first bug entry had
/home/alex/.local/share/Steam/ubuntu12_32/steam-runtime/i386/usr/lib/i386-linux-gnu/libcurl.so.4

the libcurl.so.4 in there is linjked against the steam shipped libssl.so.1, which would crash on openSUSE :(

perhaps if we fallback to the openSUSE libcurl4 and libcurl4-32bit this will be better.
Comment 6 Tomáš Chvátal 2018-04-17 13:57:59 UTC
This is automated batch bugzilla cleanup.

The openSUSE 42.2 changed to end-of-life (EOL [1]) status. As such
it is no longer maintained, which means that it will not receive any
further security or bug fix updates.
As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
openSUSE, or you can still observe it under openSUSE Leap 15.0, please
feel free to reopen this bug against that version (see the "Version"
component in the bug fields), or alternatively open
a new ticket.

Thank you for reporting this bug and we are sorry it could not be fixed
during the lifetime of the release.

[1] https://en.opensuse.org/Lifetime